Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::scope_exit< Fun > Struct Template Reference

## Public Member Functions
void | dismiss () noexcept
| scope_exit (Fun &&fun) noexcept(noexcept(scope_exit(std::move(fun), nothrow_move_t{})))
| scope_exit (Fun const &fun) noexcept(noexcept(scope_exit(fun, nothrow_copy_t{})))
| scope_exit (scope_exit &&that) noexcept(std::is_nothrow_move_constructible< Fun >::value)
| scope_exit (scope_exit const &)=delete